local console, getconsole, setconsolefontsize

getconsole = function(fs)
	local t = Timer()
	t:SetTimeout(1, function() 
		console = iup.GetDialog(iup.GetFocus())
		if (console.visible ~= "YES") then console:hide() end
		t = nil
		return setconsolefontsize(fs)
	end)
	gkinterface.GKProcessCommand("consoletoggle")
end

setconsolefontsize = function(fs)
	fs = fs or Font.Default
	if (console) then
		console[1][1].font = fs
		console[1][2].font = fs
		console[1][2].size = nil
		iup.Refresh(console)
	else
		return getconsole(fs)
	end
end

RegisterUserCommand("consolefontsize", function(_, fs) return setconsolefontsize(tonumber(fs and fs[1])) end)
